LWP-DUMP(1)

NAME
lwp-dump - See what headers and content is returned for a URL

SYNOPSIS
lwp-dump [ options ] URL

DESCRIPTION
The lwp-dump program will get the resource indentified by the URL and then dump the response object to STDOUT. This will display the headers returned and the initial part of the content, escaped so that it's safe to display even binary content. The escapes syntax used is the same as for Perl's double quoted strings. If there is no content the string "(no content)" is shown in its place.

The following options are recognized:

--agent str
    Override the user agent string passed to the server.

--keep-client-headers
    LWP internally generate various "Client-*" headers that are stripped by lwp-dump in order to show the headers exactly as the server provided them. This option will suppress this.

--max-length n
    How much of the content to show. The default is 512. Set this to 0 for unlimited.

    If the content is longer then the string is chopped at the limit and the string "...\n(### more bytes not shown)" appended.

--method str
    Use the given method for the request instead of the default "GET".

--parse-head
    By default lwp-dump will not try to initialize headers by looking at the head section of HTML documents. This option enables this. This corresponds to "parse_head" in LWP::UserAgent.

--request
    Also dump the request sent.

SEE ALSO
lwp-request, LWP, "dump" in HTTP::Message